
# Milvus Python SDK

[![version](https://img.shields.io/pypi/v/pymilvus.svg?color=blue)](https://pypi.org/project/pymilvus/)
[![Downloads](https://pepy.tech/badge/pymilvus)](https://pepy.tech/project/pymilvus)
[![Downloads](https://pepy.tech/badge/pymilvus/month)](https://pepy.tech/project/pymilvus/month)
[![Downloads](https://pepy.tech/badge/pymilvus/week)](https://pepy.tech/project/pymilvus/week)
[![license](https://img.shields.io/hexpm/l/plug.svg?color=green)](https://github.com/milvus-io/pymilvus/blob/master/LICENSE)
[![Documentation Status](https://readthedocs.org/projects/pymilvus/badge/?version=latest)](https://pymilvus.readthedocs.io/en/latest/?badge=latest)

Python SDK for [Milvus](https://github.com/milvus-io/milvus).



## Compatibility
The following collection shows Milvus versions and recommended PyMilvus versions:

|Milvus version| Recommended PyMilvus version |
|:-----:|:-----:|
| 0.11.0 | 0.3.0 |
| >=0.10.1, <0.11.0 | 0.2.14 |
| 0.10.0 | 0.2.13 |
| 0.9.1 | 0.2.12 |
| 0.9.0 | 0.2.11 |
| 0.8.0 | 0.2.10 |
| 0.7.1 | 0.2.9 |
| 0.7.0 | 0.2.8 |
| 0.6.0 | 0.2.7 |
| 0.5.3 | 0.2.5 |
| 0.5.2 | 0.2.3 |
| 0.5.1 | 0.2.3 |
| 0.5.0 | 0.2.3 |
| 0.4.0 | 0.2.2 |
| 0.3.1 | 0.1.25|
| 0.3.0 | 0.1.13|



## Installation

You can install PyMilvus via `pip` or `pip3` for Python 3.6+:

```shell
$ pip3 install pymilvus
```

You can install a specific version of PyMilvus by:

```shell
$ pip install pymilvus==0.3.0
```

You can upgrade PyMilvus to the latest version by:

```shell
$ pip install --upgrade pymilvus
```



## Documentation

Documentation is available online: https://pymilvus.readthedocs.io/.



## License
[Apache License 2.0](LICENSE)

